Index: config/config-std.h
===================================================================
RCS file: /cvs/kaffe/kaffe/config/config-std.h,v
retrieving revision 1.4
diff -c -r1.4 config-std.h
*** config/config-std.h	1999/02/03 01:55:04	1.4
--- config/config-std.h	2000/02/29 20:53:03
***************
*** 28,33 ****
--- 28,35 ----
  #include <sys/resource.h>
  #endif
  #if defined(HAVE_WINNT_H)
+ #include <windows.h>
+ #include <windef.h>
  #include <winnt.h>
  #endif
  #if defined(HAVE_WINTYPES_H)
Index: config/i386/common.h
===================================================================
RCS file: /cvs/kaffe/kaffe/config/i386/common.h,v
retrieving revision 1.15
diff -c -r1.15 common.h
*** config/i386/common.h	1999/11/21 21:44:13	1.15
--- config/i386/common.h	2000/02/29 20:53:06
***************
*** 63,69 ****
--- 63,71 ----
  
  
  #if defined(__GNUC__)
+ #if 0
  #define KAFFE_PROFILER 1
+ #endif
  #endif
  
  #if defined(KAFFE_PROFILER)
Index: kaffe/kaffevm/sha-1.h
===================================================================
RCS file: /cvs/kaffe/kaffe/kaffe/kaffevm/sha-1.h,v
retrieving revision 1.1
diff -c -r1.1 sha-1.h
*** kaffe/kaffevm/sha-1.h	1999/07/22 02:19:11	1.1
--- kaffe/kaffevm/sha-1.h	2000/02/29 20:53:13
***************
*** 111,117 ****
  /* I have taken some of this code from my MD5 implementation */
  
  #undef ROTATE
! #if defined(WIN32)
  #define ROTATE(a,n)     _lrotl(a,n)
  #else
  #define ROTATE(a,n)     (((a)<<(n))|(((a)&0xffffffff)>>(32-(n))))
--- 111,117 ----
  /* I have taken some of this code from my MD5 implementation */
  
  #undef ROTATE
! #if defined(WIN32) && 0
  #define ROTATE(a,n)     _lrotl(a,n)
  #else
  #define ROTATE(a,n)     (((a)<<(n))|(((a)&0xffffffff)>>(32-(n))))
Index: kaffe/kaffevm/intrp/machine.c
===================================================================
RCS file: /cvs/kaffe/kaffe/kaffe/kaffevm/intrp/machine.c,v
retrieving revision 1.20
diff -c -r1.20 machine.c
*** kaffe/kaffevm/intrp/machine.c	1999/10/11 17:47:27	1.20
--- kaffe/kaffevm/intrp/machine.c	2000/02/29 20:53:14
***************
*** 8,14 ****
   * See the file "license.terms" for information on usage and redistribution 
   * of this file. 
   */
! 
  #include "debug.h"
  #define	CDBG(s) 	DBG(INT_VMCALL, s)
  #define	RDBG(s) 	DBG(INT_RETURN, s)
--- 8,14 ----
   * See the file "license.terms" for information on usage and redistribution 
   * of this file. 
   */
! #define int64 long long
  #include "debug.h"
  #define	CDBG(s) 	DBG(INT_VMCALL, s)
  #define	RDBG(s) 	DBG(INT_RETURN, s)
Index: kaffe/kaffevm/jit/machine.c
===================================================================
RCS file: /cvs/kaffe/kaffe/kaffe/kaffevm/jit/machine.c,v
retrieving revision 1.46
diff -c -r1.46 machine.c
*** kaffe/kaffevm/jit/machine.c	1999/12/05 01:40:19	1.46
--- kaffe/kaffevm/jit/machine.c	2000/02/29 20:53:18
***************
*** 190,195 ****
--- 190,196 ----
  	nativeCodeInfo ncode;
  	codeinfo* codeInfo;
  
+ #define int64 long long
  	int64 tms = 0;
  	int64 tme;
  
Index: kaffe/kaffevm/systems/unix-jthreads/syscalls.c
===================================================================
RCS file: /cvs/kaffe/kaffe/kaffe/kaffevm/systems/unix-jthreads/syscalls.c,v
retrieving revision 1.4
diff -c -r1.4 syscalls.c
*** kaffe/kaffevm/systems/unix-jthreads/syscalls.c	1999/09/10 13:41:40	1.4
--- kaffe/kaffevm/systems/unix-jthreads/syscalls.c	2000/02/29 20:53:19
***************
*** 18,23 ****
--- 18,24 ----
  #include "jthread.h"
  #include "jsyscall.h"
  #include "nets.h"
+ extern __declspec(dllimport) int h_errno;
  
  /*
   * This file contains thread-safe version of various POSIXy functions.
Index: libltdl/acconfig.h
===================================================================
RCS file: /cvs/kaffe/kaffe/libltdl/acconfig.h,v
retrieving revision 1.1
diff -c -r1.1 acconfig.h
*** libltdl/acconfig.h	1999/04/29 20:56:13	1.1
--- libltdl/acconfig.h	2000/02/29 20:53:19
***************
*** 2,12 ****
     they're AC_DEFINEd in two different places, which causes two
     defines to appear.  Some C compilers might now appreciate it...  */
  
- /* Define if you have the libdl library or equivalent.  */
- #undef HAVE_LIBDL
- 
- /* Define if you have the GNU dld library.  */
- #undef HAVE_DLD
- 
- /* Define if you have the shl_load function.  */
- #undef HAVE_SHL_LOAD
--- 2,4 ----
Index: libraries/clib/io/File.c
===================================================================
RCS file: /cvs/kaffe/kaffe/libraries/clib/io/File.c,v
retrieving revision 1.15
diff -c -r1.15 File.c
*** libraries/clib/io/File.c	2000/01/05 00:16:20	1.15
--- libraries/clib/io/File.c	2000/02/29 20:53:39
***************
*** 311,320 ****
  jbool
  java_io_File_isAbsolute(struct Hjava_io_File* this)
  {
! 	char str[2];
  
  	stringJava2CBuf(unhand(this)->path, str, sizeof(str));
! 	return (str[0] == file_separator[0]);
  }
  
  jboolean
--- 311,324 ----
  jbool
  java_io_File_isAbsolute(struct Hjava_io_File* this)
  {
! 	char str[3];
  
  	stringJava2CBuf(unhand(this)->path, str, sizeof(str));
! 	return 
! #ifdef __CYGWIN__
! 	  (str[1] == ':') ||
! #endif
! 	  (str[0] == file_separator[0]);
  }
  
  jboolean
Index: libraries/clib/management/Debug.c
===================================================================
RCS file: /cvs/kaffe/kaffe/libraries/clib/management/Debug.c,v
retrieving revision 1.1
diff -c -r1.1 Debug.c
*** libraries/clib/management/Debug.c	2000/01/28 23:21:47	1.1
--- libraries/clib/management/Debug.c	2000/02/29 20:53:40
***************
*** 49,55 ****
--- 49,57 ----
  	char *copy = alloca(strlen(real_list) + 1);
  
  	strcpy(copy, real_list);
+ #ifdef KAFFE_STATS
  	statsSetMaskStr(copy);
+ #endif
  	(*env)->ReleaseStringUTFChars(env, list, real_list);
  }
  
Index: libraries/javalib/java/io/File.java
===================================================================
RCS file: /cvs/kaffe/kaffe/libraries/javalib/java/io/File.java,v
retrieving revision 1.24
diff -c -r1.24 File.java
*** libraries/javalib/java/io/File.java	2000/01/13 21:04:39	1.24
--- libraries/javalib/java/io/File.java	2000/02/29 20:56:18
***************
*** 184,191 ****
          // Build a string of the remaining elements.
          StringBuffer buf = new StringBuffer();
          for (int i = 0; i < j; i++) {
  		buf.append(separatorChar);
!                 buf.append(array[i]);
          }
          return (buf.toString());
  }
--- 184,194 ----
          // Build a string of the remaining elements.
          StringBuffer buf = new StringBuffer();
          for (int i = 0; i < j; i++) {
+ 	    if (!(i == 0
+ 		  && array[i].length () == 2
+ 		  && array[i].lastIndexOf (':') == 1))
  		buf.append(separatorChar);
! 	    buf.append(array[i]);
          }
          return (buf.toString());
  }
Index: libraries/javalib/java/lang/System.java
===================================================================
RCS file: /cvs/kaffe/kaffe/libraries/javalib/java/lang/System.java,v
retrieving revision 1.17
diff -c -r1.17 System.java
*** libraries/javalib/java/lang/System.java	1999/10/12 02:29:47	1.17
--- libraries/javalib/java/lang/System.java	2000/02/29 20:56:19
***************
*** 34,43 ****
  // println() statements don't work. In these cases, the following routines
  // are very handy. Simply uncomment the following two lines to enable them.
  
- /****
  public static native void debug(String s);	// print s to stderr, then \n
  public static native void debugE(Throwable t);	// print stack trace to stderr
- ****/
  
  static {
  	// XXX what are the constraints on the initialization order in here?
--- 34,41 ----
